# scaleway_compute – Scaleway compute management module

New in version 2.6.

- Synopsis

- Parameters

- Notes

- Examples

- Status

## Synopsis

- This module manages compute instances on Scaleway.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_timeout integer | Default: 30 | HTTP timeout to Scaleway API in seconds. aliases: timeout
api_token string |  | Scaleway OAuth token. aliases: oauth_token
api_url string | Default: "https://api.scaleway.com" | Scaleway API URL. aliases: base_url
commercial_type - / required |  | Commercial name of the compute node

enable_ipv6
boolean

Choices:
- no ←
- yes

Enable public IPv6 connectivity on the instance

image - / required |  | Image identifier used to start the instance with
name - |  | Name of the instance
organization - / required |  | Organization identifier
public_ip - added in 2.8 | Default: "absent" | Manage public IP on a Scaleway server Could be Scaleway IP address UUID `dynamic` Means that IP is destroyed at the same time the host is destroyed `absent` Means no public IP at all
query_parameters dictionary | Default: {} | List of parameters passed to the query string.

region
- / required

Choices:
- ams1
- EMEA-NL-EVS
- par1
- EMEA-FR-PAR1

Scaleway compute zone

security_group - added in 2.8 |  | Security group unique identifier If no value provided, the default security group or current security group will be used

state
-

Choices:
- present ←
- absent
- running
- restarted
- stopped

Indicate desired state of the instance.

tags - | Default: [] | List of tags to apply to the instance (5 max)

validate_certs
boolean

Choices:
- no
- yes ←

Validate SSL certs of the Scaleway API.

wait
boolean

Choices:
- no ←
- yes

Wait for the instance to reach its desired state before returning.

wait_sleep_time - | Default: 3 | Time to wait before every attempt to check the state of the server
wait_timeout - | Default: 300 | Time to wait for the server to reach the expected state

## Notes

Note

- Also see the API documentation on https://developer.scaleway.com/

- If `api_token` is not set within the module, the following environment variables can be used in decreasing order of precedence `SCW_TOKEN`, `SCW_API_KEY`, `SCW_OAUTH_TOKEN` or `SCW_API_TOKEN`.

- If one wants to use a different `api_url` one can also set the `SCW_API_URL` environment variable.

## Examples

    - name: Create a server
      scaleway_compute:
        name: foobar
        state: present
        image: 89ee4018-f8c3-4dc4-a6b5-bca14f985ebe
        organization: 951df375-e094-4d26-97c1-ba548eeb9c42
        region: ams1
        commercial_type: VC1S
        tags:
          - test
          - www

    - name: Create a server attached to a security group
      scaleway_compute:
        name: foobar
        state: present
        image: 89ee4018-f8c3-4dc4-a6b5-bca14f985ebe
        organization: 951df375-e094-4d26-97c1-ba548eeb9c42
        region: ams1
        commercial_type: VC1S
        security_group: 4a31b633-118e-4900-bd52-facf1085fc8d
        tags:
          - test
          - www

    - name: Destroy it right after
      scaleway_compute:
        name: foobar
        state: absent
        image: 89ee4018-f8c3-4dc4-a6b5-bca14f985ebe
        organization: 951df375-e094-4d26-97c1-ba548eeb9c42
        region: ams1
        commercial_type: VC1S

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Remy Leone (@sieben)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.